View Issue Details

IDProjectCategoryView StatusLast Update
0023537mantisbtapi restpublic2017-10-28 19:08
ReporterdregadAssigned Todregad 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version2.3.0 
Target Version2.8.0Fixed in Version2.8.0 
Summary0023537: Facilitate troubleshooting REST API by displaying detailed errors
Description

When developing webservices, the standard error message generated by Slim makes it difficult to troubleshoot the problem - it just says:

Slim Application Error
A website error has occurred. Sorry for the temporary inconvenience.

To make troubleshooting easier, it would be useful to be able to provide additional information about the error.

Additional Information

This can easily be achieved by setting displayErrorDetails to true when initializing the Slim app.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 8e663b33

2017-10-24 14:56:59

dregad

Details Diff
Allow display of detailed errors from REST API

If MantisBT config `show_detailed_errors` is on, then the Slim app
object will be initialized with setting `displayErrorDetails` = true.

Fixes 0023537
mod - api/rest/index.php Diff File

Issue History

Date Modified Username Field Change
2017-10-24 14:56 dregad New Issue
2017-10-24 14:56 dregad Status new => assigned
2017-10-24 14:56 dregad Assigned To => dregad
2017-10-24 16:45 dregad Note Added: 0058047
2017-10-26 17:46 dregad Changeset attached => MantisBT master 8e663b33
2017-10-26 17:46 dregad Status assigned => resolved
2017-10-26 17:46 dregad Resolution open => fixed
2017-10-26 17:46 dregad Fixed in Version => 2.8.0
2017-10-28 19:08 vboctor Status resolved => closed